<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>OctoSwarm - Approval</title>
    
    <!-- Bootstrap -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

</head>
    <body>

        <nav class="navbar navbar-light bg-light">
            <a class="navbar-brand" href="#">OctoSwarm</a>
        </nav>
        <script>
            function respond(name, answer) {
                let data = {"name": name, "answer": answer};
                fetch("/backend", {
                  method: "POST",
                  headers: {'Content-Type': 'application/json'}, 
                  body: JSON.stringify(data)
                }).then(res => {
                  console.log("Request complete! response:", res);
                  switch (res.status){
                    case 425:
                      alert("Datei ist bereits in der Warteschlange");
                      break;
                    case 403:
                      alert("Dazu hast du keine Rechte, frage einen Mentor")
                      break;
                    case 500:
                      console.error("Hier ist ein Technischer Fehler aufgetreten");
                      break;
                    case 200:
                      location.reload();
                      break;
                  }
                });
            }
        </script>
        {% block content %}
          <table id="data" class="table table-hover">
            <thead>
              <tr>
                <th scope="col">Name</th>
                <th scope="col">Image</th>
                <th scope="col">Feedback</th>
              </tr>
            </thead>
            <tbody>
              {% for file in files %}
                <tr>
                  <td>{{ file.name }}</td>
                  <td><img src="{{ file.image }}" id="myimage" /></td>
                  <td>
                    <a href="#" onclick="respond('{{ file.name }}', 1)">Accept</a>
                    <a href="#" onclick="respond('{{ file.name }}', 0)">Delete</a>
                  </td>
                </tr>
              {% endfor %}
            </tbody>
          </table>
        {% endblock %}
    </body>
</html>